import type { CliPlugin } from '@modern-js/core';
import type { UserConfig, Sidebar, NavItem, DocPlugin, AdditionalPage } from '@modern-js/doc-core';
export type { CliPlugin, Sidebar, NavItem, UserConfig, DocPlugin, AdditionalPage };
interface DocToolsOptions {
  configFiles?: string[];
  extraDocConfig?: UserConfig['doc'];
}
export declare const docTools: (options?: DocToolsOptions) => CliPlugin;
export default docTools;
export { defineConfig } from './config/defineConfig';